#!/bin/bash

# created by group Dx and Dy. 

export PATH=/cursos/BI/bin/ncbiblast/bin:$PATH;
cp /cursos/BI/bin/ncbiblast/.ncbirc ~;
export PATH=/cursos/BI/bin/exonerate/i386/bin:$PATH;
export PATH=/cursos/BI/bin:$PATH;
export WISECONFIGDIR=/cursos/BI/soft/wise-2.2.0/wisecfg;

#SelT

for genome in Thalassiosira_pseudonana Theileria_parva Trypanosoma_cruzi Theileria_annulata Phytophthora_sojae Phytophthora_ramorum Monosiga_brevicollis Giardia_intestinalis Entamoeba_terrapinae Entamoeba_histolytica Babesia_bovis; 
	do {
	blastdb=`grep $genome /cursos/BI/genomes/protists/genomes_list_and_info.tab | cut -f 4`;
		for query in SelT_L.braziliensis SelT_M.mulatta;
		do {
          
	Sel=`grep $query ./TotesSeleno/queriesT_list.tab | cut -f 2`;
          blastall -p tblastn -i $Sel -d $blastdb -o $query.CONTRA$genome.tblastn -F F;
          more $query.CONTRA$genome.tblastn >> blastallT.txt;
	  rm $query.CONTRA$genome.tblastn;
	  	} 	
	done
	}
done

#SelV

for genome in Thalassiosira_pseudonana Theileria_parva Trypanosoma_cruzi Theileria_annulata Phytophthora_sojae Phytophthora_ramorum Monosiga_brevicollis Giardia_intestinalis Entamoeba_terrapinae Entamoeba_histolytica Babesia_bovis; 
	do {
	blastdb=`grep $genome /cursos/BI/genomes/protists/genomes_list_and_info.tab | cut -f 4`;
		for query in SelV_H.sapiens;
		do {
          
	Sel=`grep $query ./TotesSeleno/queriesV_list.tab | cut -f 2`;
          blastall -p tblastn -i $Sel -d $blastdb -o $query.CONTRA$genome.tblastn;
          more $query.CONTRA$genome.tblastn >> blastallV.txt;
	  rm $query.CONTRA$genome.tblastn;
	  	} 	
	done
	}
done


#SelW1

for genome in Thalassiosira_pseudonana Theileria_parva Trypanosoma_cruzi Theileria_annulata Phytophthora_sojae Phytophthora_ramorum Monosiga_brevicollis Giardia_intestinalis Entamoeba_terrapinae Entamoeba_histolytica Babesia_bovis; 
	do {
	blastdb=`grep $genome /cursos/BI/genomes/protists/genomes_list_and_info.tab | cut -f 4`;
		for query in SelW1_H.sapiens.fa SelW1_D.rerio.fa;
		do {
          
	Sel=`grep $query ./TotesSeleno/queriesW1_list.tab | cut -f 2`;
          blastall -p tblastn -i $Sel -d $blastdb -o $query.CONTRA$genome.tblastn -F F;
          more $query.CONTRA$genome.tblastn >> blastallW1.txt;
	  rm $query.CONTRA$genome.tblastn;
	  	} 	
	done
	}
done

#SelW2

for genome in Thalassiosira_pseudonana Theileria_parva Trypanosoma_cruzi Theileria_annulata Phytophthora_sojae Phytophthora_ramorum Monosiga_brevicollis Giardia_intestinalis Entamoeba_terrapinae Entamoeba_histolytica Babesia_bovis; 
	do {
	blastdb=`grep $genome /cursos/BI/genomes/protists/genomes_list_and_info.tab | cut -f 4`;
		for query in SelW2_franciscana.fa;
		do {
          
	Sel=`grep $query ./TotesSeleno/queriesW2_list.tab | cut -f 2`;
          blastall -p tblastn -i $Sel -d $blastdb -o $query.CONTRA$genome.tblastn -F F;
          more $query.CONTRA$genome.tblastn >> blastallW2.txt;
	  rm $query.CONTRA$genome.tblastn;
	  	} 	
	done
	}
done

